# Class WsContainerProvider

java.lang.Object
jakarta.websocket.ContainerProvider
org.apache.tomcat.websocket.WsContainerProvider

public class WsContainerProvider extends ContainerProvider
WebSocket container provider for Tomcat.

## Constructor Summary

Constructors
Constructor
Description
`WsContainerProvider()`
Constructs a new WsContainerProvider.

## Method Summary

Modifier and Type
Method
Description
`protected WebSocketContainer`
`getContainer()`
Returns the WebSocket container.

### Methods inherited from class ContainerProvider

`getWebSocketContainer`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WsContainerProvider

public WsContainerProvider()
Constructs a new WsContainerProvider.

## Method Details

### getContainer

protected WebSocketContainer getContainer()
Returns the WebSocket container.

Specified by:
  `getContainer` in class `ContainerProvider`
Returns:
  the WebSocket container